require 'test_helper'
require "ebs_payment"


describe 'EbsPayment' do
  before do

    @valid_options = {
       :account_id=>"5087",
       :address=>"Arcot Road",
       :amount=>"1.00",
       :bank_code=>"",
       :card_brand=>"",
       :channel=>"0",
       :city=>"Chennai",
       :country=>"IND",
       :currency=>"INR",
       :description=>"Test Order Description",
       :email=>"souranil@gmail.com",
       :emi=>"",
       :mode=>"TEST",
       :name=>"John Raj",
       :page_id=>"",
       :payment_mode=>"",
       :payment_option=>nil,
       :phone=>"04423452345",
       :postal_code=>"600001",
       :reference_no=>"223",
       :return_url=>"http://localhost:3000/ebs/callback",
       :ship_address=>"Arcot Road",
       :ship_city=>"Chennai",
       :ship_country=>"IND",
       :ship_name=>"John Esak",
       :ship_phone=>"04423452345",
       :ship_postal_code=>"600001",
       :ship_state=>"Tamil Nadu",
       :state=>"Tamil Nadu"
     }

    # @account_id = 5078
    # @amount = '1.00'
    # @reference_no = 223
    # @return_url = "http://localhost/ebs/response.php"
    # @mode = "LIVE"

    EbsPayment.configure do |config|
      config.secret = "fcfdfb899ccf83461ffffcc7ab8fa3bd"
      config.submit_url = "https://secure.ebs.in/pg/ma/payment/request"
    end
  end

  it 'it has a valid version number' do
    refute_nil ::EbsPayment::VERSION
  end



  describe "Configuration" do
    describe "#secret" do
      it "should have a value for secret" do
        refute_nil EbsPayment.configuration.secret
      end
    end

    describe "#submit_url" do
      it "should have a value for submit_url" do
        refute_nil EbsPayment.configuration.submit_url
      end
    end

    describe "#format_request" do
      it "should be able to generate a valid hash with this secret" do
        result = EbsPayment.format_request(@valid_options)
        assert_equal(result, "15093A962E9801202CE1F81AF35D1DB3")
      end
    end
  end



end
